Subject: Re: bug#77224: [PATCH] New minor mode 'cursor-indicators-mode'

From: Elijah Gabe Pérez <[email-masked]>
Date: Thu, 27 Mar 2025 08:53:25 -0600

Eli Zaretskii <[email-masked]> writes:

> Btw, a possibly even better way is to modify the cursor looks from the
> hooks of the relevant commands, like overwrite-mode.  If some of them
> don't have a hook, we could add a hook.  This is better because it
> doesn't unnecessarily "punish" Emacs anywhere else, only the commands
> that could affect the cursor.
>

But what if user prefer using a lambda instead a function? For example for
a specific mode or action from a key binding package such as evil or meow,
also i don't know if buffer-read-only have a proper hook.